JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.Object

Defined in: Object.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.Object() Base class that supports property inspection and binding.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getValue(inName) Get the value of a named property.
| setValue(inName, inValue) Set the value of a named property.
| toString() Returns a string identifier (primarily for debugging).

Design Method Summary
Method Attributes | Method Name and Description
--- | ---
<design> | getPropertyType(inName) Get type information for a property.
<design> | getPropFlags(inName, inTypeInfo) Hook for subclasses to add flags to the typeInfo structure for property inName.
<design> | listDataProperties() Return memoized list of value information records.
<design> | listProperties() Return memoized list of property information records.

Static Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | wm.Object.extendSchema(inClass, inSchema) Add entries to a class schema.

Class Detail
wm.Object()
Base class that supports property inspection and binding.
Almost all objects in WaveMaker are instances of wm.Object. In particular, all Components and Widgets descend from wm.Object
wm.Object supports a generalized property system: in order to access or modify properties on a wm.Object use the getValue/setValue API.
getValue takes the name of the property to examine. setValue takes the name of the property and the value to set. getValue/setValue support dot notation.
For all objects that descend from wm.Object.use the getValue/setValue API to access documented properties
Examples

Example:

    	// To examine the name of a Component
    	var n = this.myComponent.getValue("name");

    	// To change the name of the Component
    	this.myComponent.setValue("name", "newName");

    	//"panel1" contains an object named "label1"
    	this.panel1.setValue("label1.caption", "hello world");

Report errata or suggestions for Object.
Method Detail
getValue(inName)
Get the value of a named property. Supports dot notation, e.g.

Parameters:
{String} inName
  Name of property

See:
  setValue

Example:

    this.getValue("customer.name.first")

Report errata or suggestions for getValue.

setValue(inName, inValue)
Set the value of a named property. Using this method to set properties is required to support binding. Supports dot notation, e.g.

Parameters:
{String} inName
  Name of property
{Any} inValue
  Value to set on property

See:
  getValue

Example:

    this.setValue("customer.name.first", "Harry")

Report errata or suggestions for setValue.

toString()
Returns a string identifier (primarily for debugging).
Report errata or suggestions for toString.

Design Method Detail
<design only> getPropertyType(inName)
Get type information for a property. Returns a structure containing schema information for property inName, including at least the following fields:

- type: (string) name of type
- isObject: (boolean) true if property is itself a wm.Object
- isEvent: (boolean) true if property represents an event

Parameters:
inName

Report errata or suggestions for getPropertyType.

<design only> getPropFlags(inName, inTypeInfo)
Hook for subclasses to add flags to the typeInfo structure for property inName. Called from getPropertyType.

Parameters:
{String} inName
  Name of property.
{Object} inTypeInfo
  Type info structure to modify.

Report errata or suggestions for getPropFlags.

<design only> listDataProperties()
Return memoized list of value information records. wm.Object does not distinguish properties from values, so the base implementation just calls listProperties.
Report errata or suggestions for listDataProperties.

<design only> listProperties()
Return memoized list of property information records.
Report errata or suggestions for listProperties.

Static Method Detail
<static> wm.Object.extendSchema(inClass, inSchema)
Add entries to a class schema. Note that "inClass" is a class (function), not a class-name (string).

Parameters:
{Function} inClass
  Add schema entries to this class.
{Object} inSchema
  Schema entries in object notation.

Example:

    wm.Object.extendSchema(wm.MyButton, {
    	confirmPrompt: { writeonly: 1} // configure flags for confirmPrompt property
    });

Report errata or suggestions for extendSchema.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)